config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/dbus-1/system.d/org.freedesktop.ColorManager.conf.new

if [ -e usr/share/glib-2.0/schemas ]; then
  if [ -x /usr/bin/glib-compile-schemas ]; then
    /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
  fi
fi

if ! grep -q ^colord: /etc/group ; then
  groupadd -g 303 colord
  useradd -d /var/lib/colord -u 303 -g colord -s /bin/false colord
fi
( cd usr/lib ; rm -rf libcolordprivate.so.2 )
( cd usr/lib ; ln -sf libcolordprivate.so.2.0.4 libcolordprivate.so.2 )
( cd usr/lib ; rm -rf libcolorhug.so )
( cd usr/lib ; ln -sf libcolorhug.so.2.0.4 libcolorhug.so )
( cd usr/lib ; rm -rf libcolord.so.2 )
( cd usr/lib ; ln -sf libcolord.so.2.0.4 libcolord.so.2 )
( cd usr/lib ; rm -rf libcolordprivate.so )
( cd usr/lib ; ln -sf libcolordprivate.so.2.0.4 libcolordprivate.so )
( cd usr/lib ; rm -rf libcolorhug.so.2 )
( cd usr/lib ; ln -sf libcolorhug.so.2.0.4 libcolorhug.so.2 )
( cd usr/lib ; rm -rf libcolord.so )
( cd usr/lib ; ln -sf libcolord.so.2.0.4 libcolord.so )
